import 'package:flutter/material.dart';
import 'package:habitrack_app/infrastructure/widget_wall/add_widget_menu.dart';

class AddWidgetButton extends StatelessWidget {
  const AddWidgetButton({super.key});

  @override
  Widget build(BuildContext context) {
    return OutlinedButton(
      style: OutlinedButton.styleFrom(
        backgroundColor: Theme.of(context).colorScheme.primary,
      ),
      onPressed: () => {
        Navigator.push(
          context,
          MaterialPageRoute<dynamic>(
            builder: (context) => const AddWidgetMenu(),
          ),
        ),
      },
      child: Icon(
        Icons.add,
        color: Theme.of(context).colorScheme.onPrimary,
      ),
    );
  }
}
